import 'package:flutter/material.dart';

import '../../data/countries.dart';
import '../../models/country.dart';

class CountryFlagWidget extends StatelessWidget {
  final Country country;
  final double width;
  final double height;
  final Widget? errorWidget;

  const CountryFlagWidget(
    this.country, {
    this.width = 30,
    this.height = 30,
    this.errorWidget,
    Key? key,
  }) : super(key: key);
  @override
  Widget build(BuildContext context) {
    return Image.asset(
      CountriesRepo.getFlagImageAssetPath(country.isoCode),
      width: width,
      height: height,
      package: "countries",
      errorBuilder: (_, __, ___) => errorWidget ?? Icon(Icons.error),
    );
  }
}
